summaryrefslogtreecommitdiff
path: root/packages/backend/src/server/api/mastodon/endpoints (follow)
Commit message (Collapse)AuthorAgeFilesLines
* split url into webUrl and localUrl (like mastodon)stableFreya Murphy24 hours1-1/+1
|
* correctly render reblogs and quotes-with-CW for discord previewsHazelnoot2025-06-011-4/+20
|
* merge: Replace JSDOM with cheerio (!973)Marie2025-05-081-2/+2
|\ | | | | | | | | | | View MR for information: https://activitypub.software/TransFem-org/Sharkey/-/merge_requests/973 Approved-by: dakkar <dakkar@thenautilus.net> Approved-by: Marie <github@yuugi.dev>
| * fix type errorsHazelnoot2025-05-081-2/+2
| |
* | implement '/v1/apps/verify_credentials'Hazelnoot2025-05-081-0/+9
| |
* | add missing "return reply" calls to async fastify routesHazelnoot2025-05-088-67/+67
| | | | | | | | Required, according to docs: https://fastify.dev/docs/latest/Reference/Routes/#async-await
* | improve type checks in POST /api/v1/apps endpointHazelnoot2025-05-081-7/+8
| |
* | improve compatibility with multipart/form-data mastodon API requestsHazelnoot2025-05-084-43/+29
|/
* Merge branch 'develop' into merge/2025-03-24Hazelnoot2025-05-061-1/+1
|\
| * Update instance.tsMarie2025-05-051-1/+1
| |
| * change regex to include a zero-length matchMarie2025-05-051-1/+1
| |
| * remove http/https protocolMarie2025-05-051-1/+1
| |
* | fix more type errors because TS can't make up its mindHazelnoot2025-05-031-2/+2
| |
* | fix type errors in mastodon APIHazelnoot2025-04-303-13/+13
| |
* | fix backend lint errorsHazelnoot2025-04-021-2/+2
| |
* | fix backend type errorsHazelnoot2025-04-011-16/+5
|/
* Ignore notifications that reference missing notesHazelnoot2025-03-271-0/+10
|
* hide sensitive content from Discord previewsHazelnoot2025-03-271-0/+6
|
* handle errors in mastodon search endpointsHazelnoot2025-03-271-0/+33
|
* rename MastodonConverters.ts to matching naming schemeHazelnoot2025-03-277-13/+13
|
* enable local timeline in Phanpy clientsHazelnoot2025-03-271-1/+1
|
* support reactions in mastodon APIHazelnoot2025-03-271-11/+12
|
* support Mastodon v4 "link header" paginationHazelnoot2025-03-274-76/+143
|
* fix empty response from /api/v1/notificationsHazelnoot2025-03-271-1/+1
|
* minor fixes to /v1/accounts/verify_credentialsHazelnoot2025-03-271-3/+2
|
* improve performance of /v1/accounts/relationshipsHazelnoot2025-03-271-6/+3
|
* fix /api/v1/instance responseHazelnoot2025-03-271-5/+9
|
* normalize mastodon BAD_REQUEST errorsHazelnoot2025-03-277-65/+67
|
* de-duplicate mastodon API loggingHazelnoot2025-03-278-1022/+610
|
* refactor mastodon API and preserve remote user agent for requestsHazelnoot2025-03-2710-639/+1085
|
* improve mastodon note conversion and use access checks in more places ↵Hazelnoot2025-02-085-94/+68
| | | | (resolves #509)
* hide restricted edit history from mastodon api (resolves #811)Hazelnoot2025-02-081-2/+5
|
* fix relationship data for Mastodon API (resolves #714)Hazelnoot2025-02-081-5/+5
|
* remove un-needed relationshipModel static dataHazelnoot2025-02-082-32/+4
|
* fix empty masto-api responses for several endpoints (resolves #721 and #707)Hazelnoot2025-02-083-9/+11
|
* cleanup Mastodon API (resolves #804 and #865, partially resolves #492)Hazelnoot2025-02-088-751/+703
| | | | | | | | | | | | | * Fix TS errors and warnings * Fix ESLint errors and warnings * Fix property typos in various places * Fix property data conversion * Add missing entity properties * Normalize logging and reduce spam * Check for missing request parameters * Allow mastodon API to work with local debugging * Safer error handling * Fix quote-post detection
* fix poll option limit in masto APIHazelnoot2024-10-261-1/+1
|
* add copyright text to all our filesdakkar2024-06-158-3/+43
|
* upd: Note Length customizationMarie2023-12-311-2/+2
| | | | | | | | note length is now configurable through the config file Closes #281 falls back to 3000 (misskey default) if not used/included in config
* chore: remove console log on verify_credentialsMar0xy2023-10-311-1/+0
|
* fix: limit query being returned as string instead of intMar0xy2023-10-311-1/+1
|
* fix: suggestionsMar0xy2023-10-311-2/+2
|
* chore: change style of getStatusTrendsMar0xy2023-10-311-7/+4
|
* upd: change handling of suggestions and status trendsMar0xy2023-10-311-72/+29
|
* fix: deleting a list returning an error as successMar0xy2023-10-301-1/+1
|
* fix: lists not being received properlyMar0xy2023-10-301-2/+1
|
* upd: allow updating of fieldsMar0xy2023-10-301-16/+12
|
* upd: add history endpoint, make sure all areas use new convertAccountMar0xy2023-10-292-5/+6
|
* fix: followers and following not being able to loadMar0xy2023-10-291-2/+2
|
* fix: await all results on favourites and rebloggedMar0xy2023-10-292-5/+3
|